<?php

	/**
	 *	General config settings
	 */


	/**
	 *	Custom Logo
	 */

	$cfgs = tempo_cfgs::merge( (array)tempo_cfgs::get( 'custom-logo' ), array(
        'height'      	=> 500,
        'width'       	=> 700,
        'flex-height' 	=> true,
		'flex-width'  	=> true,
		'header-text'	=> array( 'tempo-site-title', 'tempo-site-description' )
    ));

    tempo_cfgs::set( 'custom-logo', $cfgs );


	/**
     *	Custom Background
     */

	$cfgs = tempo_cfgs::merge( (array)tempo_cfgs::get( 'custom-background' ), array(
        'default-color'         => '#f3f5f8',
        'default-image'         => null,
        'default-attachment'    => 'fixed'
	));

	tempo_cfgs::set( 'custom-background', $cfgs );


	/**
     *	Custom Header
     */

    $cfgs = tempo_cfgs::merge( (array)tempo_cfgs::get( 'custom-header' ), array(
        'default-image' => get_stylesheet_directory_uri() . '/media/img/header.jpg',
		'width'         => 2560,
		'height'        => 1440
    ));

    tempo_cfgs::set( 'custom-header', $cfgs );


	/**
	 *	Images Size
	 */

	$cfgs = tempo_cfgs::merge( (array)tempo_cfgs::get( 'images-size' ), array(
		'tempo-header' => array(
			'width'     => 2560,
			'height'    => 1440,
			'crop' 		=> true
		),
		'tempo-full' => array(
			'width' 	=> 1330,
			'height'	=> 750,
			'crop' 		=> true
		),
		'tempo-classic' => array(
			'width' 	=> 1080,
			'height'	=> 605,
			'crop' 		=> true
		),
		'tempo-991'		=> array(
			'width' 	=> 991,
			'height'	=> 560,
			'crop' 		=> true
		),

		// grid picture sources
		'tempo-tablet' => array(
			'width' 	=> 691,
			'height'	=> 390,
			'crop' 		=> true
		),
		'tempo-grid' => array(
			'width' 	=> 650,
			'height'	=> 365,
			'crop' 		=> true
		),
		'tempo-480' 	=> array(
			'width' 	=> 480,
			'height'	=> 270,
			'crop' 		=> true
		),

		'tempo-gallery' => array(
			'width' 	=> 420,
			'height'	=> 240,
			'crop' 		=> true
		),
		'tempo-small' => array(
			'width' 	=> 360,
			'height'	=> 210,
			'crop' 		=> true
		),

		// portfolio picture sources
		'tempo-portfolio-tablet' => array(
			'width' 	=> 691,
			'height'	=> 780,
			'crop' 		=> true
		),
		'tempo-portfolio' => array(
			'width' 	=> 650,
			'height'	=> 735,
			'crop' 		=> true
		),
		'tempo-portfolio-480' 	=> array(
			'width' 	=> 480,
			'height'	=> 538,
			'crop' 		=> true
		)
	));

	tempo_cfgs::set( 'images-size', $cfgs );
?>
